#!/bin/sh

set -e

[ -z "${GITHUB_PAT}" ] && exit 0
[ "${TRAVIS_BRANCH}" != "master" ] && exit 0

git config --global user.email "wittkuhn@mpib-berlin.mpg.de"
git config --global user.name "Lennart Wittkuhn"

git clone -b \
  gh-pages https://${GITHUB_PAT}@github.com/${TRAVIS_REPO_SLUG}.git \
  book-output
cd book-output
cp -r ../_book/* ./
git add --all *
git commit -m "update the book" || true
git push -q origin gh-pages
